aboutsummaryrefslogtreecommitdiffstats
path: root/install.sh
diff options
context:
space:
mode:
authorobscuren <geffobscura@gmail.com>2014-06-27 05:01:35 +0800
committerobscuren <geffobscura@gmail.com>2014-06-27 05:01:35 +0800
commitbf2ac5acc57def2b57454872f8cb493df01d44a7 (patch)
tree882bde5e15338945ab1e1b609f4e13efbeffcd85 /install.sh
parent3777ead25e1acedc0571a48a485976eb5c36fb30 (diff)
downloadgo-tangerine-bf2ac5acc57def2b57454872f8cb493df01d44a7.tar
go-tangerine-bf2ac5acc57def2b57454872f8cb493df01d44a7.tar.gz
go-tangerine-bf2ac5acc57def2b57454872f8cb493df01d44a7.tar.bz2
go-tangerine-bf2ac5acc57def2b57454872f8cb493df01d44a7.tar.lz
go-tangerine-bf2ac5acc57def2b57454872f8cb493df01d44a7.tar.xz
go-tangerine-bf2ac5acc57def2b57454872f8cb493df01d44a7.tar.zst
go-tangerine-bf2ac5acc57def2b57454872f8cb493df01d44a7.zip
Added install script
Diffstat (limited to 'install.sh')
-rwxr-xr-xinstall.sh48
1 files changed, 48 insertions, 0 deletions
diff --git a/install.sh b/install.sh
new file mode 100755
index 000000000..4526eb002
--- /dev/null
+++ b/install.sh
@@ -0,0 +1,48 @@
+#!/bin/sh
+
+if [ "$1" == "" ]; then
+ echo "Usage $0 executable branch ethereum develop"
+ echo "executable ethereum or ethereal"
+ echo "branch develop or master"
+ exit
+fi
+
+exe=$1
+branch=$2
+
+# Test if go is installed
+command -v go >/dev/null 2>&1 || { echo >&2 "Unable to find 'go'. This script requires go."; exit 1; }
+
+# Test if $GOPATH is set
+if [ "$GOPATH" == "" ]; then
+ echo "\$GOPATH not set"
+ exit
+fi
+
+echo "go get -u -d github.com/ethereum/go-ethereum/$exe"
+go get -v -u -d github.com/ethereum/go-ethereum/$exe
+if [ $? != 0 ]; then
+ echo "go get failed"
+ exit
+fi
+
+cd $GOPATH/src/github.com/obscuren/mutan
+git submodule init
+git sumbodule update
+
+cd $GOPATH/src/github.com/ethereum/eth-go
+git checkout $branch
+
+cd $GOPATH/src/github.com/ethereum/go-ethereum/$exe
+git checkout $branch
+
+if [ "$exe" == "ethereal" ]; then
+ echo "Building ethereal GUI. Assuming Qt is installed. If this step"
+ echo "fails; please refer to: https://github.com/ethereum/go-ethereum/wiki/Building-Ethereum(Go)"
+else
+ echo "Building ethereum CLI.
+fi
+
+go install
+
+echo "done..."